Subject: Re: bug#73838: 31.0.50; Problems in note_mouse_highlight if -nw

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Oct 2024 13:46:33 +0300

> From: Gerd Möllmann <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 17 Oct 2024 09:03:13 +0200
> 
> The immediate problem I'm facing is with tty child frames and
> xterm-mouse: I'm opening a buffer selection child frame (consult-buffer)
> and choose a candidate with a mouse click. The candidates are
> mouse-highlighted. Result is eventually an endless loop in
> process_mark_stack in the non-MPS GC. (Not using the mouse works just
> fine.)

If you can show the details of that, i.e. step through the loop one
time until it gets to the same point, maybe someone could have an
idea.